void CheckBoxWidget107OnChange(tWidget *pWidget, unsigned long bSelected)
{
    static char *str1 = "On";
    static char *str2 = "Off" ;
    static int flag1 = 0;

    if (flag1 == 0)
    {
      hmi_Beep();
      CanvasTextSet(&LabelWidget109 , str1);
      WidgetPaint((tWidget*)&LabelWidget109);
      flag1 =1 ;
    }
    else
    {
      hmi_Beep();
      CanvasTextSet(&LabelWidget109 , str2);
      WidgetPaint((tWidget*)&LabelWidget109);
      flag1 =0 ;
    }
}


void CheckBoxWidget108OnChange(tWidget *pWidget, unsigned long bSelected)
{
    static char *str3 = "Open";
    static char *str4 = "Close";
    static int flag2 = 0;

    if (flag2 == 0)
    {
      hmi_Beep();
      CanvasTextSet(&LabelWidget110 , str3);
      WidgetPaint((tWidget*)&LabelWidget110);
      flag2 =1 ;
    }
    else
    {
      hmi_Beep();
      CanvasTextSet(&LabelWidget110 , str4);
      WidgetPaint((tWidget*)&LabelWidget110);
      flag2 =0 ;
    }
}


